import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.PortableRemoteObject;

public class Client {
   private CounterHome home;

   public static void main(String[] args) throws Exception {
      System.out.println("Starting Client");
      Client c = new Client();
      c.test ();
   }

   public Client () throws Exception {
      InitialContext ctx = new InitialContext();
      home = (CounterHome) ctx.lookup ("java:comp/env/Counter");
   }

   public void test() throws Exception {
      // Find all counters and delete them
      Enumeration oldEntries = home.findAll ();
      while (oldEntries.hasMoreElements()) {
         Counter oldCounter = (Counter) PortableRemoteObject.narrow (
                                 oldEntries.nextElement(), Counter.class);
         oldCounter.remove();
      }

      // Create few new counters.
      Counter [] counters = new Counter [4];
      for (int i=0; i<counters.length; i++) {
         counters[i] = (Counter) PortableRemoteObject.narrow (
                                  home.create("id"+(i+1)), Counter.class);
      }

      // Perform some operations
      counters[0].increment();
      counters[0].increment();
      counters[2].decrement();
      counters[2].decrement();

      System.out.println ("Printing all counters..");
      for (int i=0; i<counters.length; i++) {
         System.out.println ("Counter[" + counters[i].getPrimaryKey()
                             + "]=" + counters[i].value());
      }

      // Find all non-zero counters and print them
      System.out.println ("Printing all non-zero counters..");
      Enumeration nzEntries = home.findNonZeroCounters ();
      while (nzEntries.hasMoreElements()) {
         Counter c = (Counter) PortableRemoteObject.narrow (
                                 nzEntries.nextElement(), Counter.class);
         System.out.println ("Counter[" + c.getPrimaryKey() + "]=" + c.value());
      }
   }

}
