#!/bin/sh

echo "/*****************************************************************"
echo 
echo "Copyright (c) NEC America, Inc. 2000-2005"
echo "All Rights Reserved"
echo 
echo "No part of this program may be photocopied, reproduced, or"
echo "translated to another programming language without the prior"
echo "written consent of NEC America, Inc."
echo
echo "****************************************************************/"
echo 
echo
# This sample script(batch file) is provided to set up your environment for 
# compiling and running the samples included with dbMapper package.
# Refer to the user guide for the installation instructions.
# You should edit this file to change environment variables and JDBC
# driver location to your development environment.
#
#
# Set environment variables used by dbMapper.
#
# Specify JDK installation directory.
JAVA_HOME=/usr/java
export JAVA_HOME
echo "Setting JAVA_HOME(JDK installation directory) to $JAVA_HOME"
echo 

# Ant installation directory
ANT_HOME=/opt/ant
export ANT_HOME
echo "Setting ANT_HOME(Jakarta Ant installation dir) to $ANT_HOME"
echo 

# Directory that contains the thirdparty jar files used by dbMapper package.
# All these jar files are provided with the dbMapper distribution.
# "/c/work/emsx/run/demo/dbMapper" is the dbMapper installation directory.
# If you choose to use a different version for these thirdparty products,
# make sure the CLASSPATH environment variable is set accordingly.
EXT_LIB=/home/oracle/ttt/dbMapper/thirdparty

# classpath
CLASSPATH=.:$JAVA_HOME/src.jar:$JAVA_HOME/lib/tools.jar:$EXT_LIB/xerces.jar:$EXT_LIB/jdom.jar:$EXT_LIB/log4j.jar
export CLASSPATH
echo "Using classpath: $CLASSPATH"
echo 


# path
PATH=.:$ANT_HOME/bin:$JAVA_HOME/bin:/bin:/usr/bin:/usr/local/bin
echo "Using path: $PATH"
echo 




# ========================================================================
#                      Settings related to RDBMS products
# ========================================================================

# Oracle 8/8i thin driver
CLASSPATH=$CLASSPATH:/u01/app/oracle/product/8.0.6/jdbc/lib/classes12.zip

# postgres (www.postgres.com) database server
# CLASSPATH=$CLASSPATH:/usr/local/pgsql/share/java/pgjdbc2.jar

# hsqldb (hyper sonic database server)
## CLASSPATH=$CLASSPATH:/home/sandeep/hsqldb/lib/hsqldb.jar
# CLASSPATH=$CLASSPATH:/c/MyFiles/hsqldb/lib/hsqldb.jar

# mysql
## CLASSPATH=$CLASSPATH:/usr/local/mysql/jdbc/mysql-connector-java-2.0.14/mysql-connector-java-2.0.14-bin.jar
# CLASSPATH=$CLASSPATH:/c/mysql/jdbc/mysql-connector-java-2.0.14/mysql-connector-java-2.0.14-bin.jar

# mysql-mm (old mm jdbc drivers used by mysql)
## CLASSPATH=$CLASSPATH;/usr/local/mysql/jdbc/mm.mysql.jdbc-1.2b/mysql_comp.jar
# CLASSPATH=$CLASSPATH;/c/mysql/jdbc/mm.mysql.jdbc-1.2b/mysql_comp.jar

export PATH
export CLASSPATH

